#include "../puplug/scconfig_hooks.h"

/* Runs when a custom command line argument is found
 returns true if no furhter argument processing should be done */
int hook_custom_arg(const char *key, const char *value)
{
	if (strcmp(key, "debug") == 0) {
		pup_set_debug(strue);
		return 1;
	}
	return 0;
}


/* Runs before anything else */
int hook_preinit()
{
	return 0;
}

/* Runs after initialization */
int hook_postinit()
{
	pup_hook_postinit();
	return 0;
}

/* Runs after all arguments are read and parsed */
int hook_postarg()
{
	return 0;
}

/* Runs when things should be detected for the host system */
int hook_detect_host()
{
	return pup_hook_detect_host();
}

/* Runs when things should be detected for the target system */
int hook_detect_target()
{
	return pup_hook_detect_target();
}

/* Runs after detection hooks, should generate the output (Makefiles, etc.) */
int hook_generate()
{
	return pup_hook_generate("../puplug");
}

/* Runs before everything is uninitialized */
void hook_preuninit()
{
}

/* Runs at the very end, when everything is already uninitialized */
void hook_postuninit()
{
}

