#include <stdio.h>
#include <puplug/puplug.h>
#include <puplug/error.h>
#include "buildin.h"

pup_context_t pup;

void print_err(pup_err_stack_t *entry, char *string)
{
	printf("E: %s\n", string);
}

const char *dir_list[] = {
	".",
	NULL
};

int main()
{
	int state;
	pup_plugin_t *plg;

	pup_init(&pup);
	pup.error_stack_enable = 1;
	pup_buildin_load(&pup, pup_buildins);

	plg = pup_load(&pup, dir_list, "nope", 0, &state);

	plg = pup_load(&pup, dir_list, "hello", 0, &state);
	printf("load: %p %d\n", plg, state);
	pup_err_stack_process_str(&pup, print_err);

	pup_uninit(&pup);

	return 0;
}
